Page MenuHomePhabricator

Mobile Homepage: tabs layout
Closed, ResolvedPublic

Description

This task is about bringing the tab layout to mobile to switch between homepage, userpage, and usertalk, just like on desktop.

See parent task for detailed specs.

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterOutput AMC-style tabs on Special:Homepage and User page
mediawiki/skins/MinervaNeue : masterAdd hook to override SkinOptions, and allow overriding tabs output

Event Timeline

SBisson created this task.May 8 2019, 6:54 PM

Change 513649 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/skins/MinervaNeue@master] WIP: Add hook to override SkinOptions, and override tabs output

https://gerrit.wikimedia.org/r/513649

Change 513650 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] WIP: Output AMC-style tabs on Special:Homepage and User page

https://gerrit.wikimedia.org/r/513650

Cntlsn added a comment.EditedJun 4 2019, 2:19 PM

@kostajh @SBisson
This task T223142, about making the tabbed menu translation proof, is related.
This task T222835, about hiding the homepage intro text after the first visit, can also be related.

Note that we either need to feature flag this or wait for T222832 to be done before merging the GrowthExperiments patch.

Change 513649 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Add hook to override SkinOptions, and allow overriding tabs output

https://gerrit.wikimedia.org/r/513649

Change 513650 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Output AMC-style tabs on Special:Homepage and User page

https://gerrit.wikimedia.org/r/513650

Checked the tabbed layout in betalbs - the found issues (out of the scope of this task) are filed as a separate task T225288.

MMiller_WMF reassigned this task from kostajh to Cntlsn.Jun 7 2019, 11:10 PM

Moving back to Design Review before it goes to PM Review. @Cntlsn -- please try out the tabs in mobile on beta, and add any issues you find to T225288.

ovasileva moved this task from Needs triage to Triaged on the Mobile board.Jun 11 2019, 1:50 PM
Cntlsn removed Cntlsn as the assignee of this task.Jun 12 2019, 5:43 PM

Added a couple of issues to T225288. Moving to "Needs PM Review" column

This will stay here until the feature is in production.

MMiller_WMF closed this task as Resolved.Jul 3 2019, 11:45 PM
MMiller_WMF claimed this task.

This is working in production.